---
lang: en
title: 'API docs: repository.crudrepository.find'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.crudrepository.find.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CrudRepository](./repository.crudrepository.md) &gt; [find](./repository.crudrepository.find.md)

## CrudRepository.find() method

Find matching records

<b>Signature:</b>

```typescript
find(filter?: Filter<T>, options?: Options): Promise<(T & Relations)[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filter | <code>Filter&lt;T&gt;</code> | Query filter |
|  options | <code>Options</code> | Options for the operations |

<b>Returns:</b>

`Promise<(T & Relations)[]>`

A promise of an array of records found


